Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047488 - duplicate method create
Summary: duplicate method create
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs API Guide
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David O'Brien
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On:
Blocks: sat-docs
TreeView+ depends on / blocked
 
Reported: 2013-12-31 10:12 UTC by Sharuzzaman Ahmat Raslan
Modified: 2014-10-21 23:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-21 23:58:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
duplicate method create (132.04 KB, image/png)
2013-12-31 10:12 UTC, Sharuzzaman Ahmat Raslan
no flags Details

Description Sharuzzaman Ahmat Raslan 2013-12-31 10:12:36 UTC
Created attachment 843720 [details]
duplicate method create

Description of problem:
The method "create" is duplicated 3 times, in section 10.7, 10.8 and 10.9. It is better to only have the method mentioned once, but document why there are 3 different thing.

The difference between each of them is:
10.7: 
string checksum Type - checksum type for this channel, used for yum repository metadata generation
sha1 - Offers widest compatibility with clients
sha256 - Offers highest security, but is compatible only with newer clients e.g. Red Hat Enterprise Linux 6 and newer.
struct - gpgKey
string url - GPG key URL
string id - GPG key ID
string fingerprint - GPG key Fingerprint

10.8:
string checksum Type - checksum type for this channel, used for yum repository metadata generation
sha1 - Offers widest compatibility with clients
sha256 - Offers highest security, but is compatible only with newer clients e.g. Red Hat Enterprise Linux 6 and newer.

10.9:
nothing about the checksum and GPG key.
---

this will reduce confusion to people who are new to the API like me. also, nothing is mentioned about the differences for each of them


Version-Release number of selected component (if applicable):
Edition 1

How reproducible:
Always

Steps to Reproduce:
1. Open PDF of Red Hat Satellite 5.6 API Overview
2. Go to page 58
3. Index shown 3 method with name "create" with small differences in each of them

Actual results:
3 method with name "create"

Expected results:
1 method with name "create", but documenting differences between each of the option

Additional info:
screenshot attached

Comment 1 Sharuzzaman Ahmat Raslan 2013-12-31 10:18:45 UTC
this bug report is also applicable to other method name, such as:
getDetails
getRepoDetails
listAllPackages

and many more

Comment 2 Dan Macpherson 2014-01-21 15:19:31 UTC
This bug can be worked on early during the planning stages for Satellite 5.7.

Comment 4 David O'Brien 2014-10-21 23:58:41 UTC
The API Guide is being redesigned for the next release and this material will no longer appear. Suitable references will be included in the new doc to access individual API calls.


Note You need to log in before you can comment on or make changes to this bug.